Subject: cperl-mode: Wrong highlighting of tr, y, q with _

From: "E. Choroba" <[email-masked]>
Date: Fri, 12 Mar 2021 21:31:54 +0100 (CET)

The quote-like operators q, qq, qr, qw, qx, tr, y, m, and s can use word 
characters as quoting characters, but then they must be followed by
whitespace. In Perl, "_" is also a word character, but cperl-mode
doesn't follow this rule. E.g.

sub y_max {

is highlighted as if the y was the transliteration operator, but in
fact "y_max" is a subroutine name, as there's no space after "y".

 	Ch.